Wordpress présente la particularité de proposer automatiquement les mises à jour en "backoffice" de la version installée, ainsi que la mise à jour des plugins additionnels, ce qui est extrêmement facilitant pour bénéficier des dernières avancées technologiques et/ou corrections de bugs.
Voici la liste de quelques questions qu'on me pose quand on est sous MAC....

Ou installer MAMP ?
Pour l’installer, il suffit de placer ou de glisser/déposer le dossier MAMP à la racine du dossier "applications" sinon il ne marchera pas.

Ou placer les fichiers de mon site ?

Copiez ensuite l’ensemble des fichiers de votre site web dans le dossier htdocs (Applications -> MAMP -> htdocs)

La version PHP de MAMP proposée va t'elle poser problème ?

L 'installation les version de php 5.2.13 ou 5.3.2 proposées avec MAMP sont plus récentes que celles demandées pour wordpress qui nécessite la 5.2.4 minimum dans sa dernière version. Donc la dessus, vous n'aurez pas de soucis. Sauf si des bibliothèques PHP requises par Wordpress ne sont pas proposée dans MAMP version de base, auquel cas vous devrez sans doute les ajouter......

Et la base de donnée avec MySQL ?

Pour la base de donnée (s'y connecter ou en créer une vierge au départ) Mysql 5 est la version minimale requise. Il semble que ce soit la version proposée par MAMP d'après le site apprendre-php.com

Quand au gestionnaire de base PHP MyAdmin ....


L’utilisation de la base de données MySQL se fait au travers du très pratique phpMyAdmin.

Pour se connecter à PHPmyAdmin qui permet de gérer les bases de données sur MAMP ou WAMP :

Pour Windows et WAMP : http ://localhost/phpmyadmin (accessible depuis le menu Wampserver de la barre de tâches)

Pour MacOS et MAMP : http ://localhost :8888/phpmyadmin (accessible depuis le panneau de MAMP)

Pour information 8080 est le port par défaut utilisé pour le web, et donc mac utilise plutot le port 8888, il convient donc de le préciser, d’où la légère variante.